
From: Arjan van de Ven <arjanv@redhat.com>

We don't want to be loading 4k-stack modules into an 8k-stack kernel.


---

 25-akpm/include/asm-i386/module.h |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletion(-)

diff -puN include/asm-i386/module.h~4k-stacks-in-modversions-magic include/asm-i386/module.h
--- 25/include/asm-i386/module.h~4k-stacks-in-modversions-magic	Mon Mar  1 14:53:45 2004
+++ 25-akpm/include/asm-i386/module.h	Mon Mar  1 14:53:45 2004
@@ -60,6 +60,12 @@ struct mod_arch_specific
 #define MODULE_REGPARM ""
 #endif
 
-#define MODULE_ARCH_VERMAGIC MODULE_PROC_FAMILY MODULE_REGPARM
+#ifdef CONFIG_4KSTACKS
+#define MODULE_STACKSIZE "4KSTACKS "
+#else
+#define MODULE_STACKSIZE ""
+#endif
+
+#define MODULE_ARCH_VERMAGIC MODULE_PROC_FAMILY MODULE_REGPARM MODULE_STACKSIZE
 
 #endif /* _ASM_I386_MODULE_H */

_
